Loading...
Searching...
No Matches
EST_TValuedEnumDefinition< ENUM, VAL, INFO > Struct Template Reference

## Public Attributes

ENUM | token
VAL | values [NAMED_ENUM_MAX_SYNONYMS]
INFO | info

## Detailed Description

template<class ENUM, class VAL, class INFO>
struct EST_TValuedEnumDefinition< ENUM, VAL, INFO >

Definition at line 70 of file EST_TNamedEnum.h.

## Member Data Documentation

## token

template<class ENUM, class VAL, class INFO>

ENUM EST_TValuedEnumDefinition< ENUM, VAL, INFO >::token

Definition at line 72 of file EST_TNamedEnum.h.

## values

template<class ENUM, class VAL, class INFO>

VAL EST_TValuedEnumDefinition< ENUM, VAL, INFO >::values[NAMED_ENUM_MAX_SYNONYMS]

Definition at line 73 of file EST_TNamedEnum.h.

## info

template<class ENUM, class VAL, class INFO>

INFO EST_TValuedEnumDefinition< ENUM, VAL, INFO >::info

Definition at line 74 of file EST_TNamedEnum.h.

The documentation for this struct was generated from the following file:

- include/EST_TNamedEnum.h